function cost = testGradCost(model,trainData,trainLabels,param)

weightDecay = param.model.weightDecay;

output = cnnFeedForward(model, trainData);

numLayer = model.numLayer;

cost = - mean( log(output{numLayer}.activation(trainLabels == 1) ) );

for l = 2 : numLayer
	if ~strcmp(model.layers{l}.type, 'subsampling')
		cost = cost + 0.5 * weightDecay * sum(model.layers{l}.weight(:).^ 2);
	end
end